Subject: Re: bug#68081: 30.0.50; derived-mode and display-buffer-alist

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Jan 2024 14:17:44 +0200

> Date: Mon, 1 Jan 2024 10:38:09 +0100
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> From: martin rudalics <[email-masked]>
> 
>  > I agree, Info mode is only one of the affected modes, compilation-mode
>  > also shows this behaviour and others might as well.
> 
> And these cannot be reasonably fixed all by moving the -mode calls in
> front of the 'display-buffer' call in a consistent manner.
> 
> The original problem is with 'window-normalize-buffer-to-switch-to'.  It
> should never be called in non-interactive use, so 'info' would have been
> forced to provide a buffer as argument and not just a name.
> 
> I'm afraid that this inconsistency makes 'buffer-match-p' pretty useless
> for 'pop-to-buffer' and its like.  A strong warning seems appropriate.

Thanks, but now I wonder whether we should revert the change which
made display-buffer call buffer-match-p.  It sounds like fixing the
breakage in any other way is either hard or fragile or nigh
impossible.